public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/bsnes-jg/
Date: Mon, 10 Feb 2025 02:19:14 +0000 (UTC)	[thread overview]
Message-ID: <1739153169.e9158c4577cbd2940365e2c00006a1217f0d8652.mjo@gentoo> (raw)

commit:     e9158c4577cbd2940365e2c00006a1217f0d8652
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Mon Jan 27 19:54:33 2025 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Feb 10 02:06:09 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9158c45

games-emulation/bsnes-jg: add 2.0.1

Signed-off-by: orbea <orbea <AT> riseup.net>
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 games-emulation/bsnes-jg/Manifest              |  1 +
 games-emulation/bsnes-jg/bsnes-jg-2.0.1.ebuild | 79 ++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/games-emulation/bsnes-jg/Manifest b/games-emulation/bsnes-jg/Manifest
index cbf06863f3f4..53c69b1a5ab3 100644
--- a/games-emulation/bsnes-jg/Manifest
+++ b/games-emulation/bsnes-jg/Manifest
@@ -1 +1,2 @@
 DIST bsnes-2.0.0.tar.bz2 4318300 BLAKE2B 7b93502a7dd68427069d0a33161927709f327352a3da3637cea416b31293750b249f3d750bba093a5a3430c5c2ab42b5e29e8b707377b29254651091a2b0aaed SHA512 95f970a16c7efdfd5f0dca1a8bcfd7d5785e4e2635eb4c36fdade350be52c8c950736df84a9a5bb108a98c4b9b936f12f2a0ea7d9974737e105b1b0c034f6dbd
+DIST bsnes-2.0.1.tar.bz2 4323769 BLAKE2B 17494774d08ad04db8f73d7951a3b45164037f6243716c133aaf081952dc0db3c1cb7cf0aad9048b7b68b4f626f7c933605f5c253f4335c535e59034aa3f8d25 SHA512 e29e972cfe8634921a2244abf51ddf1786814752d46c0faaba0a872a9c5a740e03e2656d3d277fce85a7f9f1d8c6c4de6a97e90524654f9ec105b0f7e370c9de

diff --git a/games-emulation/bsnes-jg/bsnes-jg-2.0.1.ebuild b/games-emulation/bsnes-jg/bsnes-jg-2.0.1.ebuild
new file mode 100644
index 000000000000..c44ece1d716a
--- /dev/null
+++ b/games-emulation/bsnes-jg/bsnes-jg-2.0.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DOCS_BUILDER="doxygen"
+DOCS_DIR="objs/doc"
+
+inherit docs toolchain-funcs
+
+MY_PN=${PN%-*}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Jolly Good Fork of bsnes"
+HOMEPAGE="https://gitlab.com/jgemu/bsnes"
+if [[ "${PV}" == *9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://gitlab.com/jgemu/${MY_PN}.git"
+else
+	SRC_URI="https://gitlab.com/jgemu/${MY_PN}/-/archive/${PV}/${MY_P}.tar.bz2"
+	S="${WORKDIR}/${MY_P}"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+fi
+
+LICENSE="
+	ISC GPL-3+ LGPL-2.1+ MIT ZLIB
+	examples? ( 0BSD )
+"
+SLOT="1"
+IUSE="examples +jgmodule shared"
+REQUIRED_USE="
+	|| ( examples jgmodule shared )
+	doc? ( shared )
+"
+
+DEPEND="
+	media-libs/libsamplerate
+	examples? ( media-libs/libsdl2[sound,video] )
+	jgmodule? ( media-libs/jg:1= )
+"
+RDEPEND="
+	${DEPEND}
+	jgmodule? ( games-emulation/jgrf )
+"
+BDEPEND="
+	virtual/pkgconfig
+"
+
+src_configure() {
+	local makeopts=(
+		PREFIX="${EPREFIX}"/usr
+		DISABLE_MODULE=$(usex jgmodule 0 1)
+		ENABLE_EXAMPLE=$(usex examples 1 0)
+		ENABLE_SHARED=$(usex shared 1 0)
+	)
+	export MY_MAKEOPTS="${makeopts[@]}"
+}
+
+src_compile() {
+	local mymakeargs=(
+		CC="$(tc-getCC)"
+		CXX="$(tc-getCXX)"
+		PKG_CONFIG="$(tc-getPKG_CONFIG)"
+		${MY_MAKEOPTS}
+	)
+	emake "${mymakeargs[@]}"
+	use doc && emake doxyfile
+	docs_compile
+}
+
+src_install() {
+	local mymakeargs=(
+		DESTDIR="${D}"
+		DOCDIR="${EPREFIX}"/usr/share/doc/${PF}
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+		${MY_MAKEOPTS}
+	)
+	emake install "${mymakeargs[@]}"
+	use doc && einstalldocs
+}


             reply	other threads:[~2025-02-10  2:19 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-02-10  2:19 Michael Orlitzky [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-10  2:19 [gentoo-commits] repo/gentoo:master commit in: games-emulation/bsnes-jg/ Michael Orlitzky
2024-12-13  9:35 Sam James
2024-11-02 12:46 Joonas Niilola
2024-11-02 12:46 Joonas Niilola
2024-04-29  8:46 Joonas Niilola
2024-04-29  8:46 Joonas Niilola
2024-02-24  7:06 Joonas Niilola
2024-02-24  7:06 Joonas Niilola
2024-02-24  7:06 Joonas Niilola
2024-01-06 19:30 Viorel Munteanu
2023-12-03  7:42 Sam James
2023-09-17  8:56 Arthur Zamarin
2023-09-13  3:20 Sam James
2023-03-04  7:18 Sam James
2023-02-25 22:24 Sam James
2023-02-25 22:23 Sam James
2023-02-22  9:32 Sam James
2023-01-15 14:16 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1739153169.e9158c4577cbd2940365e2c00006a1217f0d8652.mjo@gentoo \
    --to=mjo@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox